.\" $NetBSD: daic.4,v 1.9 2003/02/14 15:20:18 grant Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Martin Husemann <martin@NetBSD.org>.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 30, 1998
.Dt DAIC 4
.Os
.Sh NAME
.Nm daic
.Nd isdn4bsd driver for EICON.Diehl active ISDN cards
.Sh SYNOPSIS
.Cd "daic0 at isa? iomem 0xd8000 irq 10"
.Sh DESCRIPTION
The
.Nm
driver supports the old Diehl active cards:
.Em S, SX, SXn, SCOM
and
.Em QUADRO .
.Pp
For a
.Em QUADRO
card, the driver will detect the board type and use
all four ports, each attached as a controller of its own to the
isdn4bsd system, which can be listed using the daicctl utility.
.Pp
The
.Nm
driver interfaces the ISDN card to the ISDN4BSD kernel subsystem.
All lower layer ISDN control is handled by the card. This should
allow you to run any national ISDN protocol delivered by EICON.Diehl
for your card, but the driver has only been tested with the DSS1
protocol and some parts of the cards interface are ISDN protocol
dependent.
.Pp
The
.Nm
driver is written to conform to the software interface documented
by Diehl in their
.Nm ISDN-Karten Benutzerhandbuch
from 1992.
.Sh MICROCODE DOWNLOAD
Every active card needs its own operating software before it can
work. You have to download this to the card before using it with
isdn4bsd. Use the daicctl utility to do this, i.e. call
.Nm "daicctl -d te_etsi.sx 1"
to download the file
.Nm te_etsi.sx
to controller number 1. Use
.Nm "daicctl -l"
to list all available controllers (and ports). You have to select the
correct ISDN protocol file for your ISDN interface, see the Diehl documentation
for details.
.Pp
The cards bootstrap process involves another file, which is independent
of the card type you use and the protocol you run. It is called
.Nm download.bin
in current versions of the Diehl software distribution and has to be
copied to the kernel compile directory under
.Nm dev/microcode/daic
and converted into a header file used when compiling the kernel by running
.Nm make
in that directory. Your kernel compile will fail and remind you of this
if you forget to do this. Due to copyright restrictions we cannot distribute
the driver with this file integrated. But if you own a card, you do have
the file (or can get it from the Diehl web server).
.Sh SEE ALSO
.Xr daicctl 1
.Sh BUGS
The driver is not yet finished.
